### Constructor

# Gtk.IconPaintable.new_for_file

#### Declaration [src]

    GtkIconPaintable*
    gtk_icon_paintable_new_for_file (
      GFile* file,
      int size,
      int scale
    )

#### Description [src]

Creates a `GtkIconPaintable` for a file with a given size and scale.

The icon can then be rendered by using it as a `GdkPaintable`.

#### Parameters

`file` | `GFile*`
| a `GFile`
| Ownership is not transferred to the callee
`size` | `int`
| desired icon size
`scale` | `int`
| the desired scale

#### Return value

Returns: `GtkIconPaintable`
a `GtkIconPaintable` containing for the icon. Unref with `g_object_unref()`
Ownership of the data is transferred to the caller